QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Supplier
    v1.0.0

    Search suppliers

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    userIdstringpathYesQIMA client user login ID.
    typestringqueryNoFilter suppliers by type (e.g., FACTORY, AGENT). Returns all types if omitted.
    Responses

    200
    Matched suppliers returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    idstring
    namestring
    citystring
    provincestring
    countrystring
    cityNamestring
    provinceNamestring
    countryNamestring
    contactstring
    telephonestring
    emailstring
    addressstring
    createdDatestring
    identificationCodestring
    createdDateUnixTimestampinteger
    updateDatestring
    updateDateUnixTimestampinteger
    mobilestring
    {
      "message": null,
      "content": [
        {
          "id": "402FA958F78743B68428A62BF4D6F71B",
          "name": "Sample Supplier Co.",
          "city": "12687656",
          "province": null,
          "country": "23424781",
          "cityName": "Shenzhen",
          "provinceName": null,
          "countryName": "China",
          "contact": "Jane Doe",
          "telephone": "+86 0755 81112222",
          "email": "main.contact@example.com;alternate.contact@example.com",
          "address": "NO.1, A ROAD, B STREET, C DISTRICT",
          "createdDate": "2026-07-02 16:47:28",
          "identificationCode": "CLIENT-SUP-007",
          "createdDateUnixTimestamp": 1782982048000,
          "updateDate": "2026-07-02 16:47:28",
          "updateDateUnixTimestamp": 1782982048000,
          "mobile": "13811112222"
        }
      ]
    }

    Content-Type: application/json

    GET
    /user/v2/{userId}/suppliers
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "id": "402FA958F78743B68428A62BF4D6F71B", "name": "Sample Supplier Co.", "city": "12687656", "province": null, "country": "23424781", "cityName": "Shenzhen", "provinceName": null, "countryName": "China", "contact": "Jane Doe", "telephone": "+86 0755 81112222", "email": "main.contact@example.com;alternate.contact@example.com", "address": "NO.1, A ROAD, B STREET, C DISTRICT", "createdDate": "2026-07-02 16:47:28", "identificationCode": "CLIENT-SUP-007", "createdDateUnixTimestamp": 1782982048000, "updateDate": "2026-07-02 16:47:28", "updateDateUnixTimestamp": 1782982048000, "mobile": "13811112222" } ] }